
Redmine - Defect #611

times off by 3 hours

2008-02-06 06:21 - Kioma Aldecoa

Status: Closed Start date: 2008-02-06

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

In my setup the times are off by 3 hours.  Relative times are correct -- for example it will say "updated 1 minute ago", but absolute

times are 3 hours later than real times.  My server is set up with tzsetup for "Los Angeles", and my RedMine account is set to PST,

which is the same time zone as Los Angeles.  I can get the correct times displayed by choosing "Samoa" for my time zone in

RedMine, which is 3 hours west, but this is suboptimal.

My setup linux 2.6, debian/testing and on a VPS.  No other programs have similar problems with time.  The OS displays the current

current time with the "date" command.

History

#1 - 2008-02-11 22:39 - Jean-Philippe Lang

What happens if you set no timezone on your account ? Do you get correct times ?

#2 - 2008-02-12 10:22 - Kioma Aldecoa

Very sorry, this turned out to be a problem with my VPS and time syncing with its host.  It seems the host that my VPS was the guest of was in EST

and was randomly setting my VPS time to match.  Since I also had NTP on the VPS, the time would sometimes be right and sometimes be 3 hours

off.  It was bad luck that it was off by 3 hours when Redmine needed the time in my tests, and it was the correct time when I checked the time with

"date".

So there is no Redmine bug here.

#3 - 2008-02-12 10:34 - Jean-Philippe Lang

- Status changed from New to Closed

OK, thanks.
